Subject: Re: [PATCH kernel] powerpc/powernv/ioda2: Fix calculation for memory allocated for TCE table

From: Alexey Kardashevskiy <[email-masked]>
Date: Thu, 23 Jul 2015 19:45:44 +1000

On 07/21/2015 04:24 PM, Michael Ellerman wrote:
> On Mon, 2015-07-20 at 20:45 +1000, Alexey Kardashevskiy wrote:
>> The existing code stores the amount of memory allocated for a TCE table.
>> At the moment it uses @offset which is a virtual offset in the TCE table
>> which is only correct for a one level tables and it does not include
>> memory allocated for intermediate levels. When multilevel TCE table is
>> requested, WARN_ON in tce_iommu_create_table() prints a warning.
>>
>> This adds an additional counter to pnv_pci_ioda2_table_do_alloc_pages()
>> to count actually allocated memory.
>>
>> Signed-off-by: Alexey Kardashevskiy <[email-masked]>
>> ---
>>
>> I was sure I sent it already but could not find it anywhere so reposting.
>> Sorry if it is a duplicate.
>
> Stable?

No, this is for DDW patchset I recently posted and which did not get to any 
release yet.

-- 
Alexey